/**
 * Copyright (c) Microsoft Corporation. All rights reserved.
 * Licensed under the MIT License.
 */
'use strict';
Object.defineProperty(exports, "__esModule", { value: true });
exports.PageObject = void 0;
const driver_1 = require("./driver");
const config_1 = require("./config");
class PageObject {
    constructor(webDriver2) {
        this.webDriver2_ = webDriver2;
    }
    get driver() {
        if (this.webDriver2_) {
            return this.webDriver2_;
        }
        else {
            return driver_1.driver;
        }
    }
    isPageLoaded() {
        throw new Error('Not implemented');
    }
    waitForPageLoaded(timeout) {
        const theTimeout = timeout ? timeout : config_1.Config.getWaitForPageTimeout();
        return this.driver.wait2(() => {
            return this.isPageLoaded();
        }, theTimeout, 'Wait for page ' + this.constructor.name + ' timeout');
    }
}
exports.PageObject = PageObject;
//# sourceMappingURL=pageobject.js.map